Skip to main content

User Tenant List

Returns the list of tenants for a particular user.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

GET https://{tenantId}.{hostname}/digitanium/v4/tenantlist/{userName}

HTTP request URL for SHIFT​

GET https://{hostname}/auth/realms/{tenantId}/v3_user/{userName}/tenantlist
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required.

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringThe message explains the result of the API call. Refer to Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
SubsystemStringSubsystem categorizes the type of API that has been called. Refer to Subsystem details for details.
dataObjectUser details

Sample Response​

{
"message": "Tenant list fetched successfully",
"status": "OK",
"subSystem": 5,
"data": [
"demo",
"demotest",
"test001",
"perf"
]
}

Response Status Information​

Status CodeStatusMessage
200OKTenant list fetched successfully
401UnauthorizedHTTP 401 Unauthorized
404USER_NOT_FOUNDUser does not exist